@font-face { font-family: 'Harry P';
             src: url('assets/frontend/font/HARRYP.TTF') format('truetype'); }

@font-face { font-family: 'Spongebob';
             src: url('assets/frontend/font/Spongebob.ttf') format('truetype'); }

@font-face { font-family: 'Disney';
             src: url('assets/frontend/font/Disney.otf') format('truetype'); }

@font-face { font-family: 'SuperMario';
             src: url('assets/frontend/font/SuperMario256.ttf') format('truetype'); }

@font-face { font-family: 'Mickey';
             src: url('assets/frontend/font/MICKEY.TTF') format('truetype'); }

@font-face { font-family: 'Habbo';
             src: url('assets/frontend/font/HabboFont.ttf') format('truetype'); }
             
@font-face { font-family: 'Xmas';
             src: url('assets/frontend/font/Xmas.ttf') format('truetype'); }

@font-face { font-family: 'Snowby';
			 src: url('assets/frontend/font/Snowby.ttf') format('truetype'); }

@font-face { font-family: 'Austie';
			src: url('assets/frontend/font/Austie.ttf') format('truetype'); }
						 
@font-face { font-family: 'STC';
			src: url('assets/frontend/font/SnapsTasteChristmas.otf') format('truetype'); }
						  
/* Username */

.username-rainbow {
color:#F60;
-webkit-text-fill-color:transparent;
background:-webkit-gradient(linear, left top, right top, color-stop(0%,#c00000), color-stop(21%,#ff6600), color-stop(40%,#fbb007), color-stop(60%,#009c36), color-stop(80%,#0089cd), color-stop(100%,#5935b9));
-webkit-background-clip:text;
background-size:0;
-webkit-background-size:auto;
-o-background-size:0;
}

.username-rainbow_animate {
-webkit-animation:rainbow 1s infinite;-ms-animation:rainbow 1s infinite;-o-animation:rainbow 1s infinite;animation:rainbow 1s infinite;
}


@-webkit-keyframes rainbow{0%{color:#ff0000;}10%{color:#ff8000;}20%{color:#ffff00;}30%{color:#80ff00;}40%{color:#00ff00;}50%{color:#00ff80;}60%{color:#00ffff;}70%{color:#0080ff;}80%{color:#0000ff;}90%{color:#8000ff;}100%{color:#ff0080;}}@-ms-keyframes rainbow{0%{color:#ff0000;}10%{color:#ff8000;}20%{color:#ffff00;}30%{color:#80ff00;}40%{color:#00ff00;}50%{color:#00ff80;}60%{color:#00ffff;}70%{color:#0080ff;}80%{color:#0000ff;}90%{color:#8000ff;}100%{color:#ff0080;}}@-o-keyframes rainbow{0%{color:#ff0000;}10%{color:#ff8000;}20%{color:#ffff00;}30%{color:#80ff00;}40%{color:#00ff00;}50%{color:#00ff80;}60%{color:#00ffff;}70%{color:#0080ff;}80%{color:#0000ff;}90%{color:#8000ff;}100%{color:#ff0080;}}@keyframes rainbow{0%{color:#ff0000;}10%{color:#ff8000;}20%{color:#ffff00;}30%{color:#80ff00;}40%{color:#00ff00;}50%{color:#00ff80;}60%{color:#00ffff;}70%{color:#0080ff;}80%{color:#0000ff;}90%{color:#8000ff;}100%{color:#ff0080;}
}

.username-greenblue {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#5DCE4E),color-stop(0.15,#5DCE4E),color-stop(0.3,#5DCE4E),color-stop(0.45,#5DCE4E),color-stop(0.6,#3ED3FD),color-stop(0.75,#3ED3FD),color-stop(0.9,#3ED3FD),color-stop(1,#3ED3FD));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-orangeblue {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#FF5722),color-stop(0.15,#FF5722),color-stop(0.3,#FF5722),color-stop(0.45,#FF5722),color-stop(0.6,#2196F3),color-stop(0.75,#2196F3),color-stop(0.9,#2196F3),color-stop(1,#2196F3));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-darkredblue {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#7A0001),color-stop(0.15,#7A0001),color-stop(0.3,#7A0001),color-stop(0.45,#7A0001),color-stop(0.6,#1C5DD4),color-stop(0.75,#1C5DD4),color-stop(0.9,#1C5DD4),color-stop(1,#1C5DD4));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-purplepink {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#5A33B7),color-stop(0.15,#5A33B7),color-stop(0.3,#5A33B7),color-stop(0.45,#5A33B7),color-stop(0.6,#D41C93),color-stop(0.75,#D41C93),color-stop(0.9,#D41C93),color-stop(1,#D41C93));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-blackgrey {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#000000),color-stop(0.15,#000000),color-stop(0.3,#000000),color-stop(0.45,#000000),color-stop(0.6,#848B91),color-stop(0.75,#848B91),color-stop(0.9,#848B91),color-stop(1,#848B91));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-blackgreen {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#000000),color-stop(0.15,#000000),color-stop(0.3,#000000),color-stop(0.45,#000000),color-stop(0.6,#5DCE4E),color-stop(0.75,#5DCE4E),color-stop(0.9,#5DCE4E),color-stop(1,#5DCE4E));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-blackblue {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#000000),color-stop(0.15,#000000),color-stop(0.3,#000000),color-stop(0.45,#000000),color-stop(0.6,#3ED3FD),color-stop(0.75,#3ED3FD),color-stop(0.9,#3ED3FD),color-stop(1,#3ED3FD));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-blackpurple {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#000000),color-stop(0.15,#000000),color-stop(0.3,#000000),color-stop(0.45,#000000),color-stop(0.6,#5A33B7),color-stop(0.75,#5A33B7),color-stop(0.9,#5A33B7),color-stop(1,#5A33B7));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-blackpink {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#000000),color-stop(0.15,#000000),color-stop(0.3,#000000),color-stop(0.45,#000000),color-stop(0.6,#D41C93),color-stop(0.75,#D41C93),color-stop(0.9,#D41C93),color-stop(1,#D41C93));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-bluepurple {
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#1C5DD4),color-stop(0.15,#1C5DD4),color-stop(0.3,#1C5DD4),color-stop(0.45,#1C5DD4),color-stop(0.6,#5A33B7),color-stop(0.75,#5A33B7),color-stop(0.9,#5A33B7),color-stop(1,#5A33B7));
-webkit-background-clip:text;
background-clip:text;
-webkit-text-fill-color:transparent;
}

.username-sparklespurple {
color:#5A33B7;
background-image: url(assets/frontend/effects/sparkles4.gif);
background-position: center;
background-size: cover;
}

.username-sparklesblack {
color:#000000;
background-image: url(assets/frontend/effects/sparkles2.gif);
background-position: center;
background-size: cover;
}

.username-sparklesgrey {
color:#848B91;
background-image: url(assets/frontend/effects/sparkles1.gif);
background-position: center;
background-size: cover;
}

.username-sparklesgold {
color: gold;
background-image: url(assets/frontend/effects/sparkles3.gif);
background-position: center;
background-size: cover;
}

.username-sparklesblue {
color: #3ED3FD;
background-image: url(assets/frontend/effects/fireworks.gif);
background-position-y: -5px;
background-size: 100%;
}

.username-effectrainbow {
background-image:url(assets/frontend/effects/rainbow_welle.gif);
background-position:center;
-webkit-background-clip: text;
background-clip: text;
color: transparent;
}

.username-glitter {
background-image:url(assets/frontend/effects/glitter.gif);
background-position:center;
-webkit-background-clip: text;
background-clip: text;
color: transparent;
}

.username-pinkglitter {
background-image:url(assets/frontend/effects/pink_glitter.gif);
background-position:center;
-webkit-background-clip: text;
background-clip: text;
color: transparent;
}

.username-goldglitter {
background-image:url(assets/frontend/effects/gold_glitter.gif);
background-position:center;
-webkit-background-clip: text;
background-clip: text;
color: transparent;
}

.username-redfire {
color: #E20000;
background-image: url(assets/frontend/effects/fire.gif);
background-position: center;
background-size: cover;
}

.username-redsnow {
color: #b8180d;
font-family: STC, arial, sans-serif;
letter-spacing: 1px;
font-weight: bold;
font-size: 16px !important;
background-image: url(assets/frontend/effects/snow.gif);
background-position: center;
background-size: cover;
}

.username-bluesnow {
color: #1869cc;
font-family: Snowby, arial, sans-serif;
letter-spacing: 2px;
font-weight: bold;
font-size: 16px !important;
background-image: url(assets/frontend/effects/snow.gif);
background-position: center;
background-size: cover;
}

.username-greensnow {
color: #099129;
font-family: Austie, arial, sans-serif;
letter-spacing: 5x;
font-weight: bold;
font-size: 18px !important;
background-image: url(assets/frontend/effects/snow.gif);
background-position: center;
background-size: cover;
}

.username-orange {
color:#FF5722;
}

.username-darkred {
color:#a41523;
}

.username-red {
color:#E20000;
}

.username-black {
color:#a41523;
}

.username-blue {
color:#6DA4CC;
}

.username-pink {
color:#D41C93;
}

.username-skyblue {
color:#6FCBE0;
}

.username-darkblue {
color:#1C5DD4;
}

.username-coral {
color:#fb9975;
}

.username-grey {
color:#8C7D73;
}

.username-darkgreen {
color:#007A00;
}

.username-green {
color:#75C953;
}

.username-gold {
color:gold;
}

.username-purple {
color:purple;
}

.username-rosa {
color:#D39CB9;
}

.username-black {
color:#000000;
}

.username-harry {
font-size: 17px;
letter-spacing: 0.1em;
font-family: Harry P, arial, sans-serif;
color: #7A3300;
}

.username-spongebob {
font-size: 14.5px;
font-family: Spongebob, arial, sans-serif;
color: #EFE44A;
text-shadow: -1px 2px 0px rgba(168, 172, 6, 1);
letter-spacing: 0.2em;
}

.username-mickey {
font-size: 16.5px;
font-family: Mickey, arial, sans-serif;
}

.username-mickey-blau {
font-size: 16.5px;
font-family: Mickey, arial, sans-serif;
color: #1683FF;
}

.username-mickey-rot {
font-size: 16.5px;
font-family: Mickey, arial, sans-serif;
color: #B63B3A;
}

.username-habbo-orange {
font-size: 15px;
font-family: Habbo, arial, sans-serif;
color:#FF6A00;
}

.username-habbo-gelb {
letter-spacing: 0.1em;
font-size: 15px;
font-family: Habbo, arial, sans-serif;
color:#F9D000;
}

.username-xmas {
font-size: 15px;
font-family: Xmas, arial, sans-serif;
background-image:-webkit-gradient(linear,left top,right top,color-stop(0,#a41523),color-stop(0.15,#a41523),color-stop(0.3,#a41523),color-stop(0.45,#a41523),color-stop(0.6,#007A00),color-stop(0.75,#007A00),color-stop(0.9,#007A00),color-stop(1,#007A00));-webkit-background-clip:text;background-clip:text;-webkit-text-fill-color:transparent;
}

.username-supermario {
font-size: 14px;
font-family: Supermario, arial, sans-serif;
color:#F60;
-webkit-text-fill-color:transparent;
background:-webkit-gradient(linear, left top, right top, color-stop(0%,#c00000), color-stop(21%,#ff6600), color-stop(40%,#fbb007), color-stop(60%,#009c36), color-stop(80%,#0089cd), color-stop(100%,#5935b9));
-webkit-background-clip:text;
background-size:0;
-webkit-background-size:auto;
-o-background-size:0;
}

/* Icon */

.user-icon {
height: auto !important;
width: auto !important;
max-height: 20px !important;
max-width: 20px !important;
background-position: center !important; 
background-repeat: no-repeat !important;
}

.user-icon-rotate {
-webkit-animation-name: rotate; 
-webkit-animation-duration: 2s; 
-webkit-animation-iteration-count: infinite;
-webkit-animation-timing-function: linear;
-moz-animation-name: rotate; 
-moz-animation-duration: 2s; 
-moz-animation-iteration-count: infinite;
-moz-animation-timing-function: linear;
}

@-webkit-keyframes rotate {
from {-webkit-transform: rotate(0deg);}
to {-webkit-transform: rotate(360deg);}
}
